Bug 204781 - [NEW PORT] devel/py-socketio-client: Socket.io client library for Python
Summary: [NEW PORT] devel/py-socketio-client: Socket.io client library for Python
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Martin Wilke
URL:
Keywords: patch, patch-ready
Depends on:
Blocks: 204782
  Show dependency treegraph
 
Reported: 2015-11-24 14:57 UTC by Max Stucchi
Modified: 2015-12-02 01:27 UTC (History)
3 users (show)

See Also:
koobs: maintainer-feedback? (max)


Attachments
Shar file of the port (1.82 KB, text/plain)
2015-11-24 14:57 UTC, Max Stucchi
no flags Details
New Shar (1.85 KB, text/plain)
2015-11-27 12:45 UTC, Max Stucchi
no flags Details
Fixed archive after running portlint (1.85 KB, text/plain)
2015-11-27 13:08 UTC, Max Stucchi
no flags Details
Port shar (1.85 KB, text/plain)
2015-11-28 08:40 UTC, Max Stucchi
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Max Stucchi 2015-11-24 14:57:06 UTC
Created attachment 163480 [details]
Shar file of the port

New port: devel/py-socketIO-client

This is a client for the Socket.io library you can use in order to access servers from your python programs.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2015-11-27 03:10:13 UTC
@Max/Martin,

* This port needs to be renamed to be consistent with the upstream PyPI name:

socketio_client

* Probably belongs in the net category, instead of devel
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2015-11-27 11:44:16 UTC
As per conversation with Max on IRC, the PyPI name is socketio-client. Unfortauntely upstream have named their distribution file (sdist) with an underscore, necessitating a DISTNAME override.
Comment 3 Max Stucchi 2015-11-27 12:45:46 UTC
Created attachment 163580 [details]
New Shar
Comment 4 Max Stucchi 2015-11-27 12:48:44 UTC
(In reply to Kubilay Kocak from comment #1)

Okay, so:

- Renamed it to py-socketio_client;
- Moved it to net/ instead of devel/

This means it's now necessary to differentiate between the tree different names:

- py-socketio_client (the port)
- socketIO-client (the directory on PyPi)
- socketIO_client (filename on PyPi)

I'll try to contact the upstream to see if there's any chance to change this.  In the meantime, we have to keep it this way.
Comment 5 Max Stucchi 2015-11-27 13:06:07 UTC
Ran portlint:

root@FreeBSD-Lab:/usr/ports/net/py-socketio_client # portlint ./
looks fine.
root@FreeBSD-Lab:/usr/ports/net/py-socketio_client #
Comment 6 Max Stucchi 2015-11-27 13:08:42 UTC
Created attachment 163582 [details]
Fixed archive after running portlint
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2015-11-27 13:24:27 UTC
@Max, forgive me for not being as clear as I should have in comment 2.

What I intended to say was, the upstream name *is* indeed socketio-client (with a dash) so my previous comment 1, saying it was socketio_client (with an underscore) can be ignored.

The correct PORTNAME is socketio-client
Comment 8 Max Stucchi 2015-11-28 08:39:52 UTC
(In reply to Kubilay Kocak from comment #7)

Okay, so I corrected it.

Hope this one is good.

It passes portlint and port test.
Comment 9 Max Stucchi 2015-11-28 08:40:23 UTC
Created attachment 163603 [details]
Port shar
Comment 10 Kubilay Kocak freebsd_committer freebsd_triage 2015-11-28 11:13:49 UTC
Looks good Max
Comment 11 commit-hook freebsd_committer 2015-12-02 01:27:48 UTC
A commit references this bug:

Author: miwi
Date: Wed Dec  2 01:26:50 UTC 2015
New revision: 402806
URL: https://svnweb.freebsd.org/changeset/ports/402806

Log:
  A python wrapper around RIPE ATLAS API.

  WWW: http://github.com/RIPE-NCC/ripe-atlas-cousteau

  PR:		204781
  Submitted by:	Massimiliano Stucchi <mstucchi@ripe.net>
  Approved by:    mat (mentor)

Changes:
  head/net/Makefile
  head/net/py-ripe.atlas.cousteau/
  head/net/py-ripe.atlas.cousteau/Makefile
  head/net/py-ripe.atlas.cousteau/distinfo
  head/net/py-ripe.atlas.cousteau/pkg-descr